Page MenuHomePhabricator

RSS feeds should not be in head for mobile
Closed, ResolvedPublic

Description

There are 4 atom feeds in the head of mobile.
<link rel="alternate" type="application/atom+xml" title="Wikipedia Atom feed" href="/w/index.php?title=Special:RecentChanges&amp;feed=atom">
These are arguably useless on mobile.

It should be possible for a skin to turn these off if necessary.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRSS feeds should not be in head for mobile

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Mholloway, Ricordisamoa, He7d3r and 7 others.
phuedx removed a project: Epic.May 28 2015, 1:53 PM
phuedx set Security to None.
phuedx moved this task from Incoming to 2014-15 Q4 on the Readers-Web-Backlog board.

@Jdlrobson does this have any impact on performance? (besides html size)

How would we go about working on this?

Jhernandez triaged this task as Normal priority.Aug 17 2015, 11:19 AM

It's possible in Safari on iOS to subscribe to RSS feeds (with the shared links feature), so they are not completely useless.

@Aklapper Your link gives me a 403.

Jdlrobson lowered the priority of this task from Normal to Lowest.Dec 3 2015, 11:40 PM

@Aklapper Your link gives me a 403.

The page might require login/registration for GCI, not sure...
@Volker_E: Would you like to (co-)mentor, or have some potential GCI tasks in mind yourself? If so I'm very happy to send you a registration email!

It's possible in Safari on iOS to subscribe to RSS feeds (with the shared links feature), so they are not completely useless.

Hmm, this is a valid concern, I think. How do we want to deal with it? Removing the rss feed link nonetheless?

Florian assigned this task to Albert221.Dec 15 2015, 9:05 PM
Florian added a subscriber: Albert221.

These are the links in head I see on a normal page view:

<link rel="alternate" type="application/x-wiki" title="Bearbeiten" href="/w/index.php?title=TestSections&amp;action=edit">
<link rel="edit" title="Bearbeiten" href="/w/index.php?title=TestSections&amp;action=edit">
<link rel="shortcut icon" href="/favicon.ico">
<link rel="search" type="application/opensearchdescription+xml" href="/w/opensearch_desc.php" title="devwiki (en)">
<link rel="EditURI" type="application/rsd+xml" href="http://localhost/w/api.php?action=rsd">
<link rel="copyright" href="//creativecommons.org/licenses/by-sa/3.0/">
<link rel="alternate" type="application/atom+xml" title="Atom-Feed für „devwiki“" href="/w/index.php?title=Special:RecentChanges&amp;feed=atom">

As far as I can see, there is only one RSS feed link. However, there are other alternate links, too, is this meant as "4 rss links"? :) Btw.: @Albert221 asked me in IRC, and I said, that it would be ok to omit the one rss feed link to complete the GCI task :)

Change 259546 had a related patch set uploaded (by Albert221):
RSS feeds should not be in head for mobile

https://gerrit.wikimedia.org/r/259546

Change 259546 merged by jenkins-bot:
RSS feeds should not be in head for mobile

https://gerrit.wikimedia.org/r/259546

Florian closed this task as Resolved.Dec 17 2015, 10:06 PM